免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 2560 | 回复: 5

debian安装perl dbi问题 [复制链接]

论坛徽章:
0
发表于 2008-08-05 14:37 |显示全部楼层
最近想用perl写一个操作数据库的程序,可发现没有安装相关的数据库驱动, perl dbi, dbd-mysql ,我的数据库为mysql5

在网上参考了一些文章,但还是没有找到方法

我通过 apt-cache search dbi  | grep dbi | grep mysql查找到相关的信息
libclass-dbi-mysql-perl - Class :: DBI::mysql - Extensions to Class :: DBI for MySQL
libdbd-mysql-perl - A Perl5 database interface to the MySQL database

不知道,能不能通过apt-get install的这种方法进行安装呢?请大家解答一下!谢谢

论坛徽章:
1
2015年辞旧岁徽章
日期:2015-03-03 16:54:15
发表于 2008-08-05 14:48 |显示全部楼层
能不能你试一下不就知道了。

论坛徽章:
0
发表于 2008-08-05 15:05 |显示全部楼层

论坛徽章:
0
发表于 2008-08-05 15:09 |显示全部楼层
还是提示我,没有驱动,看来这种方法不行
Can't connect to data source 127.0.0.1, no database driver specified and DBI_DSN env var not set at dbi line 7

论坛徽章:
0
发表于 2008-08-05 15:13 |显示全部楼层
我在cpan上,下了一个dbd::mysql4.007

但我服务器上运行的数据库版本为mysql5.0-server版本

我安装dbd::mysql4.007是否可以

[ 本帖最后由 linych 于 2008-8-5 15:16 编辑 ]

论坛徽章:
0
发表于 2008-08-05 15:22 |显示全部楼层

回复 #1 linych 的帖子

Install DBI and DBD::Mysql uder Debain, please run:
root@debian:~/>apt-get install libdbi-perl libdbd-mysql-perl
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

SACC2019中国系统架构师大会

【数字转型 架构演进】SACC2019中国系统架构师大会,8.5折限时优惠重磅来袭!
2019年10月31日~11月2日第11届中国系统架构师大会(SACC2019)将在北京隆重召开。四大主线并行的演讲模式,1个主会场、20个技术专场、超千人参与的会议规模,100+来自互联网、金融、制造业、电商等领域的嘉宾阵容,将为广大参会者提供一场最具价值的技术交流盛会。

限时8.5折扣期:2019年9月30日前


----------------------------------------

大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP